## org.biojava.bio.seq
Interface SequenceAnnotator

All Known Implementing Classes:
  WeightMatrixAnnotator

public interface SequenceAnnotator

An object which adds some additional information to a Sequence.

There are two approaches which can be taken to adding features to a sequence:

1. Directly adding features to a Sequence which implements MutableFeatureHolder
2. Creating a new Sequence object which acts as a view on an underlying Sequence, and presents extra features.
At present, this interface supports both these mechanisms. It is the responsibility of the implementor to document which approach is taken.

Author:
  Thomas Down

Method Summary
`Sequence` `annotate(Sequence seq)` Return an annotated version of a sequence.

Method Detail

### annotate

    public Sequence annotate(Sequence seq)
                      throws BioException,
                             IllegalAlphabetException

  Return an annotated version of a sequence.
  Parameters:
    `seq` - The sequence to be annotated.
  Throws:
    IllegalAlphabetException - If the sequence is over an inappropriate alphabet for the annotated method being encapsulated.
    BioException - if the sequence cannot be annotated.